{"openapi":"3.0.1","info":{"title":"@convey/IntegrationServiceApplication","description":"Service on top of Integration Database for managing configurations across various integrations.","termsOfService":"http://example.com/terms","contact":{"name":"Convey","url":"https://www.getconvey.com","email":"engineering@getconvey.com"},"version":"5.1.2"},"security":[{"api_key":[]}],"paths":{"/v1/data-extractions/{id}":{"get":{"tags":["DataExtraction"],"operationId":"getDataExtractionConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataExtractionConfig"}}}}}},"put":{"tags":["DataExtraction"],"operationId":"put","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataExtractionConfig"}}}},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataExtractionConfig"}}}}}},"delete":{"tags":["DataExtraction"],"operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataExtractionConfig"}}}},"responses":{"default":{"description":"default response","content":{"application/json":{}}}}}},"/v1/data-extractions":{"get":{"tags":["DataExtraction"],"summary":"Fetch Data Extraction Config","description":"Provides a route to obtain Data Extraction Config, including information about Data Provider.","operationId":"fetchDataExtractionConfig","parameters":[{"name":"data_provider_name","in":"query","description":"Data provider name, optional when data provider id param exists","schema":{"type":"string"}},{"name":"data_provider_type","in":"query","description":"Data provider type, optional when data provider id param exists","schema":{"type":"string"}},{"name":"data_provider_id","in":"query","description":"Data provider id, optional when data provider name and type param exists","schema":{"type":"integer","format":"int64"}},{"name":"identifier","in":"query","description":"Data extraction identifier","schema":{"type":"string"}},{"name":"source_type","in":"query","description":"Data extraction source type","required":true,"schema":{"type":"string"}},{"name":"cache_clear","in":"query","description":"If set to true invalidate cache before fetching result","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataExtractionConfig"}}}}},"x-category":"Integration Service API","x-scope":"public"},"post":{"tags":["DataExtraction"],"operationId":"post","requestBody":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataExtractionConfig"}}}},"responses":{"default":{"description":"default response","content":{"application/json":{}}}}}},"/v1/data-ingestions":{"get":{"tags":["DataIngestion"],"summary":"Fetch Data Ingestion Config","description":"Provides a route to obtain Data Ingestion Config, including information about Data Provider.","operationId":"fetchDataIngestionConfig","parameters":[{"name":"data_provider_name","in":"query","description":"Data provider name, optional when data provider id param exists","schema":{"type":"string"}},{"name":"data_provider_type","in":"query","description":"Data provider type, optional when data provider id param exists","schema":{"type":"string"}},{"name":"data_provider_id","in":"query","description":"Data provider id, optional when data provider name and type param exists","schema":{"type":"integer","format":"int64"}},{"name":"identifier","in":"query","description":"Data Ingestion identifier","required":true,"schema":{"type":"string"}},{"name":"ingestion_type","in":"query","description":"Data Ingestion Type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataIngestionConfig"}}}}},"x-category":"Integration Service API","x-scope":"public"}},"/v1/data-ingestions/{id}":{"get":{"tags":["DataIngestion"],"operationId":"getDataIngestionConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataIngestionConfig"}}}}}}},"/v1/data-providers/{id}":{"get":{"tags":["DataProvider"],"operationId":"getDataProvider","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataProvider"}}}}}},"put":{"tags":["DataProvider"],"summary":"Update Data Provider Information","description":"Update data provider details.","operationId":"updateDataProviderInfo","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataProvider"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataProvider"}}}}},"x-category":"Integration Service API","x-scope":"public"},"delete":{"tags":["DataProvider"],"summary":"Delete Data Provider Information","description":"Delete data provider details.","operationId":"deleteDataProviderInfo","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataProvider"}}}}},"x-category":"Integration Service API","x-scope":"public"}},"/v1/data-providers/attribute-values":{"get":{"tags":["DataProvider"],"summary":"Fetch Data Provider Attribute Value","description":"Provides a route to obtain Data provider attribute value.","operationId":"fetchDataProviderAttributeValue","parameters":[{"name":"data_provider_name","in":"query","description":"Data provider name","schema":{"type":"string"}},{"name":"data_provider_type","in":"query","description":"Data provider type","schema":{"type":"string"}},{"name":"data_provider_id","in":"query","description":"Data provider id, optional when data provider name and type param exists","schema":{"type":"integer","format":"int64"}},{"name":"attribute_name","in":"query","description":"Data Provider Attribute Name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListOfMap"}}}}},"x-category":"Integration Service API","x-scope":"public"}},"/v1/data-providers":{"get":{"tags":["DataProvider"],"summary":"Fetch Data Provider Information","description":"Provides a route to obtain Data provider details.","operationId":"fetchDataProviderInfo","parameters":[{"name":"name","in":"query","description":"Data provider name","schema":{"type":"string"}},{"name":"type","in":"query","description":"Data provider type","schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataProvider"}}}}},"x-category":"Integration Service API","x-scope":"public"},"post":{"tags":["DataProvider"],"summary":"Save Data Provider Information","description":"Save data provider details.","operationId":"saveDataProviderInfo","requestBody":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataProvider"}}}},"responses":{"201":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataProvider"}}}}},"x-category":"Integration Service API","x-scope":"public"}},"/v1/data-transformations/{id}":{"get":{"tags":["DataTransformation"],"operationId":"getDataTransformationConfig","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataTransformationConfig"}}}}}},"put":{"tags":["DataTransformation"],"operationId":"put_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataTransformationConfig"}}}},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataTransformationConfig"}}}}}},"delete":{"tags":["DataTransformation"],"operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataTransformationConfig"}}}},"responses":{"default":{"description":"default response","content":{"application/json":{}}}}}},"/v1/data-transformations":{"get":{"tags":["DataTransformation"],"summary":"Fetch Data Transformation Config","description":"Provides a route to obtain Data Transformation Config, including information about Data Provider.","operationId":"fetchDataTransformationConfig","parameters":[{"name":"data_provider_name","in":"query","description":"Data provider name, optional when data provider id param exists","schema":{"type":"string"}},{"name":"data_provider_type","in":"query","description":"Data provider type, optional when data provider id param exists","schema":{"type":"string"}},{"name":"data_provider_id","in":"query","description":"Data provider id, optional when data provider name and type param exists","schema":{"type":"integer","format":"int64"}},{"name":"identifier","in":"query","description":"Data Transformation identifier","schema":{"type":"string"}},{"name":"source_type","in":"query","description":"Data Transformation source type","required":true,"schema":{"type":"string"}},{"name":"cache_clear","in":"query","description":"If set to true invalidate cache before fetching result","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataTransformationConfig"}}}}},"x-category":"Integration Service API","x-scope":"public"},"post":{"tags":["DataTransformation"],"operationId":"post_1","requestBody":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/DataTransformationConfig"}}}},"responses":{"default":{"description":"default response","content":{"application/json":{}}}}}},"/v1/edi-mappings":{"get":{"tags":["DataExtraction"],"summary":"Download EDI Mapping Model XML File","description":"Provides a route to download EDI mapping model XML file which can be used for parsing EDI file","operationId":"downloadEdiMappingModelFile","parameters":[{"name":"data_extraction_config_id","in":"query","description":"Data Extraction Config Id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success","content":{"application/xml":{"schema":{"type":"string"}}}}},"x-category":"Integration Service API","x-scope":"public"}},"/v1/edi-mappings/{id}":{"get":{"tags":["DataExtraction"],"operationId":"downloadEdiMappingModelFileById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"default":{"description":"default response","content":{"application/xml":{}}}}}},"/v1/http-request-configs":{"post":{"tags":["HttpRequest"],"summary":"Create Http Request Configuration","description":"Provides a route to create Http Request Configuration, including Authentication details","operationId":"postHttpRequestConfig","requestBody":{"description":"Http Request Configuration Request Body","content":{"*/*":{"schema":{"$ref":"#/components/schemas/HttpRequestConfig"}}},"required":true},"responses":{"201":{"description":"Created"}},"x-category":"Integration Service API","x-scope":"public"}},"/v1/http-requests":{"get":{"tags":["HttpRequest"],"summary":"Fetch Http Request","description":"Provides a route to obtain Http Request, including information about Request Config, Authentication and Request Parameters.","operationId":"fetchHttpRequest","parameters":[{"name":"data_provider_name","in":"query","description":"Data provider name, optional when data provider id param exists","schema":{"type":"string"}},{"name":"data_provider_type","in":"query","description":"Data provider type, optional when data provider id param exists","schema":{"type":"string"}},{"name":"data_provider_id","in":"query","description":"Data provider id, optional when data provider name and type param exists","schema":{"type":"integer","format":"int64"}},{"name":"http_request_config_name","in":"query","description":"Http Request Config Name","required":true,"schema":{"type":"string"}},{"name":"http_request_resource_type","in":"query","description":"Http Request Resource Type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpRequest"}}}}},"x-category":"Integration Service API","x-scope":"public"}},"/v1/http-requests/{id}":{"get":{"tags":["HttpRequest"],"operationId":"getHttpRequest","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpRequest"}}}}}}},"/v1/order-api-customization-config/{accountName}/activate":{"put":{"tags":["OrderApiCustomizationConfigResource"],"summary":"Activate the configuration for a specific account.","operationId":"activateOrderApiCustomizationConfigByAccountName","parameters":[{"name":"accountName","in":"path","description":"Account name","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{}}}},"x-category":"Integration Service API","x-scope":"public"}},"/v1/order-api-customization-config":{"get":{"tags":["OrderApiCustomizationConfigResource"],"summary":"Find all the active configurations.","operationId":"findAllActiveOrderApiCustomizationConfig","responses":{"200":{"description":"Success"}},"x-category":"Integration Service API","x-scope":"public"},"put":{"tags":["OrderApiCustomizationConfigResource"],"summary":"Update Order API JsonConfig for a specific account name.","operationId":"updateOrderApiCustomizationConfig","requestBody":{"description":"Customization configuration","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderApiCustomizationConfig"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderApiCustomizationConfig"}}}}},"x-category":"Integration Service API","x-scope":"public"},"post":{"tags":["OrderApiCustomizationConfigResource"],"summary":"Create the Order API customization configuration.","operationId":"createOrderApiCustomizationConfig","requestBody":{"description":"Order API customization configuration","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderApiCustomizationConfig"}}},"required":true},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderApiCustomizationConfig"}}}}},"x-category":"Integration Service API","x-scope":"public"}},"/v1/order-api-customization-config/{accountName}/deactivate":{"put":{"tags":["OrderApiCustomizationConfigResource"],"summary":"Deactivate the configuration for a specific account.","operationId":"deactivateOrderApiCustomizationConfigByAccountName","parameters":[{"name":"accountName","in":"path","description":"Account name","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{}}}},"x-category":"Integration Service API","x-scope":"public"}},"/v1/order-api-customization-config/{accountName}":{"get":{"tags":["OrderApiCustomizationConfigResource"],"summary":"Find the active configuration for a specific account if any.","operationId":"findActiveOrderApiCustomizationConfigByAccountName","parameters":[{"name":"accountName","in":"path","description":"Account name","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderApiCustomizationConfig"}}}}},"x-category":"Integration Service API","x-scope":"public","x-convey-optional-response":{"optional":"true"}}},"/v1/source-of-truth":{"get":{"tags":["SourceOfTruth"],"summary":"Retrieve Source Of Truth Rule with Overrides.","description":"Returns Source Of Truth Rule with Overrides for provided property name.","operationId":"getSourceOfTruthRuleWithOverrides","parameters":[{"name":"property_name","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SourceOfTruthRuleWithOverrides"}}}}}},"post":{"tags":["SourceOfTruth"],"summary":"A create Source Of Truth rule operation.","description":"Returns a created Source Of Truth rule.","operationId":"createSourceOfTruthRule","requestBody":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateSourceOfTruthRuleRequest"}}},"required":true},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistedSourceOfTruthRule"}}}}}},"delete":{"tags":["SourceOfTruth"],"summary":"Delete Source Of Truth rule operation.","description":"Returns a deleted Source Of Truth rule.","operationId":"deleteSourceOfTruthRule","parameters":[{"name":"property_name","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistedSourceOfTruthRule"}}}}}}},"/v1/source-of-truth/override":{"post":{"tags":["SourceOfTruth"],"summary":"A create Source Of Truth rule override operation.","description":"Returns a created Source Of Truth rule override.","operationId":"createSourceOfTruthRuleOverride","requestBody":{"content":{"*/*":{"schema":{"$ref":"#/components/schemas/CreateSourceOfTruthRuleOverrideRequest"}}},"required":true},"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistedSourceOfTruthRuleOverride"}}}}}},"delete":{"tags":["SourceOfTruth"],"summary":"Delete Source Of Truth rule override operation.","description":"Returns a deleted Source Of Truth rule override.","operationId":"deleteSourceOfTruthRuleOverride","parameters":[{"name":"override_id","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersistedSourceOfTruthRuleOverride"}}}}}}},"/v1/source-of-truth/all":{"get":{"tags":["SourceOfTruth"],"summary":"Retrieve all Source Of Truth Rules with Overrides.","description":"Returns all Source Of Truth Rules with Overrides.","operationId":"findAllSourceOfTruthRuleWithOverrides","responses":{"default":{"description":"default response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SourceOfTruthRuleWithOverrides"}}}}}}}}},"components":{"schemas":{"DataExtractionConfig":{"required":["active","dataProviderId","identifier","jsonConfig","lastModifiedBy","sourceType"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dataProvider":{"$ref":"#/components/schemas/DataProvider"},"dataProviderId":{"type":"integer","format":"int64"},"sourceType":{"type":"string","example":"SHIPPER_SHIPMENT_FEED"},"identifier":{"type":"string","example":"FARMERSDOG_SHIPMENT_FEED"},"jsonConfig":{"type":"object","additionalProperties":{"type":"object"}},"active":{"type":"boolean"},"lastModifiedBy":{"type":"string"},"modified_timestamp":{"type":"string","format":"date-time"},"created_timestamp":{"type":"string","format":"date-time"}}},"DataProvider":{"required":["active","id","lastModifiedBy","name","type"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string","example":"FarmersDog"},"type":{"type":"string","example":"SHIPPER"},"active":{"type":"boolean"},"lastModifiedBy":{"type":"string"},"modified_timestamp":{"type":"string","format":"date-time"},"created_timestamp":{"type":"string","format":"date-time"}}},"DataIngestionConfig":{"required":["active","dataProviderId","id","identifier","ingestionType","jsonConfig","lastModifiedBy"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dataProvider":{"$ref":"#/components/schemas/DataProvider"},"dataProviderId":{"type":"integer","format":"int64"},"ingestionType":{"type":"string","example":"HTTP"},"identifier":{"type":"string","example":"FARMERSDOG_SHIPMENT_FEED"},"jsonConfig":{"type":"object","additionalProperties":{"type":"object"}},"active":{"type":"boolean"},"lastModifiedBy":{"type":"string"},"modified_timestamp":{"type":"string","format":"date-time"},"created_timestamp":{"type":"string","format":"date-time"}}},"ListOfMap":{"type":"object","properties":{"attributeValues":{"type":"array","items":{"type":"object","additionalProperties":{"type":"string"}}}}},"BuildLineItemsConfig":{"type":"object","properties":{"enabled":{"type":"boolean"},"check_order_item_quantity":{"type":"boolean"},"add_weight":{"type":"boolean"}}},"DataTransformationConfig":{"required":["active","dataProviderId","identifier","jsonConfig","lastModifiedBy","sourceType"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dataProvider":{"$ref":"#/components/schemas/DataProvider"},"dataProviderId":{"type":"integer","format":"int64"},"sourceType":{"type":"string","example":"SHIPPER_SHIPMENT_FEED"},"identifier":{"type":"string","example":"FARMERSDOG_SHIPMENT_FEED"},"jsonConfig":{"$ref":"#/components/schemas/TransformationConfig"},"active":{"type":"boolean"},"lastModifiedBy":{"type":"string"},"modified_timestamp":{"type":"string","format":"date-time"},"created_timestamp":{"type":"string","format":"date-time"}}},"FileTypeConfig":{"type":"object","properties":{"enabled":{"type":"boolean"},"starts_with":{"type":"string"}}},"MapRecordStatus":{"type":"object","properties":{"allowed":{"type":"boolean"},"normalize_fully_status_desc":{"type":"boolean"},"map_zone_offset":{"type":"boolean"},"get_postalcode_from_origin_destination":{"type":"boolean"},"use_status_date_time_comparator":{"type":"boolean"},"use_status_desc_when_status_code_not_available":{"type":"boolean"},"set_ship_date_on_transit_status":{"type":"boolean"}}},"MergeShipments":{"required":["allowed"],"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"object"}},"allowed":{"type":"boolean"},"check_delivery_status":{"type":"boolean"},"check_scheduled_status":{"type":"boolean"},"check_unique_shipment_event":{"type":"boolean"},"use_status_date_time_comparator":{"type":"boolean"},"remove_events_after_terminal_status":{"type":"boolean"}}},"OverrideCustomization":{"type":"object","properties":{"identifier":{"type":"string"},"secondary_identifier":{"type":"string"},"property_filters":{"type":"array","items":{"$ref":"#/components/schemas/PropertyFilter"}},"property_mappings":{"type":"array","items":{"$ref":"#/components/schemas/PropertyMapping"}},"property_transformations":{"type":"array","items":{"$ref":"#/components/schemas/PropertyTransformation"}},"record_transformations":{"type":"array","items":{"$ref":"#/components/schemas/RecordTransformation"}}}},"PropertyFilter":{"type":"object","properties":{"property":{"type":"string"},"method":{"type":"string"},"type":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"object"}},"source_property":{"type":"string"},"filter_values":{"type":"array","items":{"type":"string"}}}},"PropertyMapping":{"required":["source_property","target_property"],"type":"object","properties":{"source_property":{"type":"string"},"target_property":{"type":"string"}}},"PropertyTransformation":{"required":["method","property","type"],"type":"object","properties":{"method":{"type":"string"},"property":{"type":"string"},"type":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"object"}},"class":{"type":"string"},"supporting_properties":{"type":"array","items":{"type":"string"}}}},"RecordTransformation":{"required":["method","type"],"type":"object","properties":{"method":{"type":"string"},"type":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"object"}}}},"SkipStatusShipment":{"type":"object","properties":{"allowed_accounts":{"type":"array","items":{"type":"string"}},"status_values":{"type":"array","items":{"type":"string"}}}},"TransformationConfig":{"type":"object","properties":{"role":{"type":"string","enum":["CONSIGNEE","SHIPPER","THIRD_PARTY","UNKNOWN"]},"report_name":{"type":"string"},"generate_report_with_invalid_shipment_data":{"type":"boolean"},"shipment_source":{"type":"string"},"carrier_scac":{"type":"string"},"merge_shipments":{"$ref":"#/components/schemas/MergeShipments"},"map_record_status":{"$ref":"#/components/schemas/MapRecordStatus"},"skip_status_shipment":{"$ref":"#/components/schemas/SkipStatusShipment"},"attribute_names_to_load_as_config":{"type":"array","items":{"type":"string"}},"identifier_property":{"type":"string"},"direction_map":{"type":"object","additionalProperties":{"type":"string"}},"location_map":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"string"}}},"property_date_formats":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"carrier_scac_alias_map":{"type":"object","additionalProperties":{"type":"string"}},"pre_filter_property_transformations":{"type":"array","items":{"$ref":"#/components/schemas/PropertyTransformation"}},"property_filters":{"type":"array","items":{"$ref":"#/components/schemas/PropertyFilter"}},"property_mappings":{"type":"array","items":{"$ref":"#/components/schemas/PropertyMapping"}},"property_transformations":{"type":"array","items":{"$ref":"#/components/schemas/PropertyTransformation"}},"record_transformations":{"type":"array","items":{"$ref":"#/components/schemas/RecordTransformation"}},"override_customizations":{"type":"array","items":{"$ref":"#/components/schemas/OverrideCustomization"}},"extract_and_store_report_info":{"type":"boolean"},"extract_and_store_incomplete_shipment_data":{"type":"boolean"},"feed_contains_shipments":{"type":"boolean"},"email_subscription_enabled":{"type":"boolean"},"sms_subscription_enabled":{"type":"boolean"},"merge_allowed":{"type":"boolean"},"remove_customer_name_when_gift":{"type":"boolean"},"applicable_in_terminal_state":{"type":"boolean"},"supported_carriers":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"unsupported_carriers":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"build_line_items":{"$ref":"#/components/schemas/BuildLineItemsConfig"},"file_type_config":{"$ref":"#/components/schemas/FileTypeConfig"},"clear_opt_out_if_present":{"type":"boolean"},"multi_leg_shipments":{"type":"boolean"},"first_leg_carrier_map":{"type":"object","additionalProperties":{"type":"string"}},"second_leg_carrier_map":{"type":"object","additionalProperties":{"type":"string"}},"reference_not_mapped_for_carriers":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"post_map_record_status_transformations":{"type":"array","items":{"$ref":"#/components/schemas/PropertyTransformation"}},"pod_value_format":{"type":"string"}}},"HttpRequestConfig":{"required":["FarmersDog","authentication_type","basePath","dataProviderId","host","httpRequestConfigAuthenticationList","lastModifiedBy","protocol"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"dataProvider":{"$ref":"#/components/schemas/DataProvider"},"dataProviderId":{"type":"integer","format":"int64"},"httpRequestConfigAuthenticationList":{"type":"array","items":{"$ref":"#/components/schemas/HttpRequestConfigAuthentication"}},"FarmersDog":{"type":"string"},"protocol":{"type":"string","example":"http"},"host":{"type":"string","example":"www.farmersdog.com"},"port":{"type":"integer","format":"int64","example":80},"basePath":{"type":"string","example":"/"},"lastModifiedBy":{"type":"string"},"authentication_type":{"type":"string","example":"BASIC"},"modified_timestamp":{"type":"string","format":"date-time"},"created_timestamp":{"type":"string","format":"date-time"}}},"HttpRequestConfigAuthentication":{"required":["authName","authValue","lastModifiedBy"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"httpRequestConfig":{"$ref":"#/components/schemas/HttpRequestConfig"},"httpRequestConfigId":{"type":"integer","format":"int64"},"authName":{"type":"string","example":"username"},"authValue":{"type":"string","example":"admin"},"lastModifiedBy":{"type":"string"},"modified_timestamp":{"type":"string","format":"date-time"},"created_timestamp":{"type":"string","format":"date-time"}}},"HttpRequest":{"required":["httpRequestConfig","httpRequestConfigId","id","lastModifiedBy","method","path","resourceType"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"httpRequestConfig":{"$ref":"#/components/schemas/HttpRequestConfig"},"httpRequestConfigId":{"type":"integer","format":"int64"},"httpRequestParameterList":{"type":"array","items":{"$ref":"#/components/schemas/HttpRequestParameter"}},"resourceType":{"type":"string","example":"TRACKING"},"method":{"type":"string","example":"GET"},"path":{"type":"string","example":"/tracking"},"lastModifiedBy":{"type":"string"},"modified_timestamp":{"type":"string","format":"date-time"},"created_timestamp":{"type":"string","format":"date-time"}}},"HttpRequestParameter":{"required":["httpRequestId","id","lastModifiedBy","paramName","paramType","paramValue"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"httpRequest":{"$ref":"#/components/schemas/HttpRequest"},"httpRequestId":{"type":"integer","format":"int64"},"paramType":{"type":"string","example":"QUERY_PARAM"},"paramName":{"type":"string","example":"trackingNumber"},"paramValue":{"type":"string","example":"123"},"lastModifiedBy":{"type":"string"},"modified_timestamp":{"type":"string","format":"date-time"},"created_timestamp":{"type":"string","format":"date-time"}}},"OrderApiCustomizationConfig":{"required":["account_name","active","created_timestamp","id","json_config","last_modified_by","modified_timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"created_timestamp":{"type":"string","format":"date-time"},"modified_timestamp":{"type":"string","format":"date-time"},"account_name":{"maxLength":100,"minLength":0,"type":"string","example":"Deerreed"},"active":{"type":"boolean"},"last_modified_by":{"type":"string"},"json_config":{"$ref":"#/components/schemas/OrderCustomizationConfig"}}},"OrderCustomizationConfig":{"required":["brand_mappings","carrier_block_list","custom_brand"],"type":"object","properties":{"brand_mappings":{"type":"object","additionalProperties":{"type":"string","example":"{\"brand_key\":\"brand_value\",\"brand_key2\":\"brand_value2\"}"},"example":{"brand_key":"brand_value","brand_key2":"brand_value2"}},"carrier_block_list":{"type":"array","example":"[SCAC1, SCAC2]","items":{"type":"string","example":"[SCAC1, SCAC2]"}},"custom_brand":{"type":"string","example":"Custom Brand Value"},"parse_customer_segment":{"type":"boolean","example":false}}},"PersistenceFields":{"required":["created_timestamp","id","modified_timestamp"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"created_timestamp":{"type":"string","format":"date-time"},"modified_timestamp":{"type":"string","format":"date-time"}}},"PersistedSourceOfTruthRule":{"required":["createdDateTime","id","lastModifiedBy","modifiedDateTime","propertyName","provider"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"lastModifiedBy":{"type":"string"},"createdDateTime":{"type":"string","format":"date-time"},"modifiedDateTime":{"type":"string","format":"date-time"},"propertyName":{"type":"string"},"provider":{"$ref":"#/components/schemas/SourceOfTruthProviderType"}}},"PersistenceFieldsWIthModifiedByInfo":{"required":["createdDateTime","id","lastModifiedBy","modifiedDateTime"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"lastModifiedBy":{"type":"string"},"createdDateTime":{"type":"string","format":"date-time"},"modifiedDateTime":{"type":"string","format":"date-time"}}},"SourceOfTruthProviderType":{"type":"string","enum":["BROKER","CARRIER","CONVEY","SHIPPER","ANY","UNKNOWN"]},"SourceOfTruthRule":{"required":["propertyName","provider"],"type":"object","properties":{"propertyName":{"type":"string"},"provider":{"$ref":"#/components/schemas/SourceOfTruthProviderType"}}},"CreateSourceOfTruthRuleRequest":{"required":["lastModifiedBy","propertyName","provider"],"type":"object","properties":{"propertyName":{"type":"string"},"provider":{"$ref":"#/components/schemas/SourceOfTruthProviderType"},"lastModifiedBy":{"type":"string"}}},"PersistedSourceOfTruthRuleOverride":{"required":["accountName","createdDateTime","id","lastModifiedBy","modifiedDateTime","sourceOfTruthRuleId"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"lastModifiedBy":{"type":"string"},"createdDateTime":{"type":"string","format":"date-time"},"modifiedDateTime":{"type":"string","format":"date-time"},"sourceOfTruthRuleId":{"type":"integer","format":"int64"},"accountName":{"type":"string"},"carrier_name":{"type":"string"},"method":{"type":"string"}}},"SourceOfTruthRuleOverride":{"required":["accountName"],"type":"object","properties":{"accountName":{"type":"string"},"carrier_name":{"type":"string"},"method":{"type":"string"}}},"CreateSourceOfTruthRuleOverrideRequest":{"required":["accountName","lastModifiedBy","sourceOfTruthRuleId"],"type":"object","properties":{"accountName":{"type":"string"},"sourceOfTruthRuleId":{"type":"integer","format":"int64"},"lastModifiedBy":{"type":"string"},"carrier_name":{"type":"string"},"method":{"type":"string"}}},"SourceOfTruthRuleWithOverrides":{"required":["overrides","propertyName","provider"],"type":"object","properties":{"propertyName":{"type":"string"},"provider":{"$ref":"#/components/schemas/SourceOfTruthProviderType"},"overrides":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/SourceOfTruthRuleOverride"}}}}},"securitySchemes":{"api_key":{"type":"apiKey","name":"X-PivotFreight-Api-Key","in":"header"}}}}